=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_clean:
	dh_clean -X.git
