=== debian/watch ===
version=4.5
opts="repacksuffix=+ds, dirmangle=s/\.orig\//-orig\//, filenamemangle=s/v?(\d[\d\.]*)\.tar\.gz/asus-screen-toggle-$1.tar.gz/" \
https://github.com/antoninmicka/asus-screen-toggle/tags \
(?:.*/)?v?(\d[\d\.]*)\.tar\.gz
