## asus-screen-toggle 1.2.2

=== debian/changelog ===
asus-screen-toggle (1.2.2-2) unstable; urgency=medium

  * Release 1.2.2-2
  * utilities
  * fix deb build
 -- Antonin Micka <antonin.micka@gmail.com>  Sun, 25 Jan 2026 00:47:06 +0100

asus-screen-toggle (1.2.2-1) unstable; urgency=medium

  * dev utils

 -- Antonin Micka <antonin.micka@gmail.com>  Sat, 17 Jan 2026 19:55:10 +0100

asus-screen-toggle (1.2.1-1) unstable; urgency=medium

  * Refactor system dispatcher build-time composition
  * Fix CI Debian source build
  * No functional changes

 -- Antonin Micka <antonin.micka@gmail.com>  Sat, 17 Jan 2026 18:54:02 +0100

asus-screen-toggle (1.1.1-1) unstable; urgency=medium

  * quick fix

 -- Antonin Micka <antonin.micka@gmail.com>  Fri, 09 Jan 2026 19:25:58 +0100

asus-screen-toggle (1.1.0-1) unstable; urgency=medium

  * [NEW] pure systemd flow

 -- Antonin Micka <antonin.micka@gmail.com>  Fri, 09 Jan 2026 18:54:43 +0100
