=== debian/changelog ===
asus-screen-toggle (1.3-1) unstable; urgency=medium

  * Release 1.3
  * lintian warning fix
  * localization
  * add temporary modes
  * ui improvements

 -- Antonin Micka <antonin.micka@gmail.com>  Wed, 28 Jan 2026 20:40:59 +0100
