=== debian/control ===
Source: asus-screen-toggle
Section: utils
Maintainer: Antonin Micka <antonin.micka@gmail.com>
Build-Depends: debhelper-compat (= 13),
               gettext,
               gettext-base,
               po-debconf,
               python3-all,
               dh-python
Standards-Version: 4.7.3
Homepage: https://github.com/antoninmicka/asus-screen-toggle
Vcs-Browser: https://github.com/antoninmicka/asus-screen-toggle
Vcs-Git: https://github.com/antoninmicka/asus-screen-toggle.git

Package: asus-screen-toggle
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-gi,
         python3-pydbus,
         gir1.2-gtk-3.0,
         gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
         inotify-tools,
         iio-sensor-proxy,
         dbus,
         usbutils,
         udev,
         systemd,
         ucf,
         console-setup
Recommends: x11-xserver-utils,
            libkscreen-bin | kscreen-doctor,
            wlr-randr,
            gnome-shell-extension-appindicator
Description: Utility for managing Asus Zenbook Duo dual-screen modes
 This utility allows users to toggle the secondary screen on Asus Zenbook Duo
 laptops, primarily to save battery when the external keyboard is detached.
 .
 Features:
  * Auto-detection of keyboard/charger connection
  * GUI Settings application
  * Tray icon / AppIndicator
  * Systemd integration for sleep/resume
