=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	# Přidáno --with python3 pro automatické závislosti
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build -- CHANNELS="systemd"

override_dh_auto_install:
	# Instalace proběhne přes náš opravený Makefile
	dh_auto_install

override_dh_python3:
	# Toto vynutí kontrolu skriptů v /usr/bin
	dh_python3 /usr/bin
