=== debian/watch ===
version=4
opts="repacksuffix=+ds, \
dirmangle=s/\.orig\//-orig\//, \
filenamemangle=s/v?(\d[\d\.]*)\.tar\.gz/asus-screen-toggle-$1.tar\.gz/" \
https://github.com/AntoninMicka/asus-screen-toggle/tags \
(?:.*/)?v?(\d[\d\.]*)\.tar\.gz
